﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CopyCenter
{
    /// <summary>
    /// Логика взаимодействия для CardsWindow.xaml
    /// </summary>
    public partial class CardsWindow : Window
    {
        gr672_liiEntities db = new gr672_liiEntities();
        public CardsWindow()
        {
            InitializeComponent();
           
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            MenuWindow mw = new MenuWindow();
            mw.Show();
            this.Close();
        }

        private void Add(object sender, RoutedEventArgs e)
        {
            //Insert(Number.Text, TypeCard.Text, comboBox1.SelectedValue.ToString());

            if (Number.Text == "" || TypeCard.Text == "" || comboBox1.SelectedValue.ToString() == "")
            {
                MessageBox.Show("Введено неверное значение");
                return;
            }

            Card card = new Card();
            card.NumberCard = Convert.ToInt32(Number.Text);
            card.TypeCard = TypeCard.Text;
            card.idClient = Convert.ToInt32(comboBox1.SelectedValue.ToString());

            db.Cards.Add(card);
            db.SaveChanges();
            MessageBox.Show("Успешно добавлена дисконтная карта");
            CardsList.ItemsSource = db.Cards.ToList();
        }

    

        private void Delete(object sender, RoutedEventArgs e)
        {
            //Delete(Number.Text, TypeCard.Text, comboBox1.SelectedValue.ToString());

            var result = MessageBox.Show("Вы точно хотите удалить карту?", "Подтверждение", MessageBoxButton.YesNo, MessageBoxImage.Question);
            if (result == MessageBoxResult.Yes)
            {
                Card card = (Card)CardsList.SelectedItem;
                db.Cards.Remove(card);
                db.SaveChanges();
                MessageBox.Show("Успешно удалена дисконтная карта");
                CardsList.ItemsSource = db.Cards.ToList();
            }
        }

        private void Update(object sender, RoutedEventArgs e)
        {
            //Update(Number.Text, TypeCard.Text, comboBox1.SelectedValue.ToString());
            
            if (Number.Text == "" || TypeCard.Text == "" || comboBox1.SelectedValue.ToString() == "")
            {
                MessageBox.Show("Введено неверное значение");
                return;
            }
            int num = 0;
            int.TryParse(ID.Text, out num);
            var uRow = db.Cards.Where(w => w.idCard == num).FirstOrDefault();
            uRow.NumberCard = Convert.ToInt32(Number.Text);
            uRow.TypeCard = TypeCard.Text;
            uRow.idClient = Convert.ToInt32(comboBox1.SelectedValue.ToString());

            db.SaveChanges();
            MessageBox.Show("Успешно отредактировано поле");
            CardsList.ItemsSource = db.Cards.ToList();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            CardsList.ItemsSource = db.Cards.ToList();       
            comboBox1.ItemsSource = db.Clients.ToList();
            comboBox1.DisplayMemberPath = "NameClient";
            comboBox1.SelectedValuePath = "idClient";
        }

        //public bool Insert(string Number, string TypeCard, string idClient)
        //{   
        //    if (Number == "" || TypeCard == "" || idClient == "")
        //    {
        //        MessageBox.Show("Введено неверное значение");
        //        return false;
        //    }
           
        //    Card card = new Card();
        //    card.NumberCard = Convert.ToInt32(Number);
        //    card.TypeCard = Convert.ToString(TypeCard);
        //    card.idClient = Convert.ToInt32(comboBox1.SelectedValue.ToString());

        //    db.Cards.Add(card);
        //    db.SaveChanges();
        //    MessageBox.Show("Успешно добавлена дисконтная карта");
        //    return true;
        //}

        //public bool Delete(string NameClient, string TypeClient, string idClient)
        //{ 
        //var result = MessageBox.Show("Вы точно хотите удалить карту?", "Подтверждение", MessageBoxButton.YesNo, MessageBoxImage.Question);
        //if (result == MessageBoxResult.Yes)
        //{
        //    Card card = (Card)CardsList.SelectedItem;
        //db.Cards.Remove(card);
        //    db.SaveChanges();
        //    MessageBox.Show("Успешно удалена дисконтная карта");
        //    CardsList.ItemsSource = db.Services.ToList();
        //        return true;
        //}

        //public bool Update(string Number, string TypeCard, string idClient)
        //{

        //    if (Number == "" || TypeCard == "" || idClient == "")
        //    {
        //        MessageBox.Show("Введено неверное значение");
        //        return false;
        //    }
 
        //    MessageBox.Show("Успешно отредактировано поле");

        //    return true;
        //}

    }
}

