﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CopyCenter
{
    /// <summary>
    /// Логика взаимодействия для ClientsWindow.xaml
    /// </summary>
    public partial class ClientsWindow : Window
    {
        gr672_liiEntities db = new gr672_liiEntities();
        public ClientsWindow()
        {
            InitializeComponent();
            db = new gr672_liiEntities();
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            MenuWindow mw = new MenuWindow();
            mw.Show();
            this.Close();
        }

        private void Add(object sender, RoutedEventArgs e)
        {
            if (Name.Text == "" || TypeClient.Text == "")
            {
                MessageBox.Show("Введено неверное значение");
                return;
            }
            Client client = new Client();
            client.NameClient = Name.Text;
            client.TypeClient = TypeClient.Text;
            db.Clients.Add(client);
            db.SaveChanges();
            MessageBox.Show("Успешно зарегистрирован клиент");
            ClientsList.ItemsSource = db.Clients.ToList();
        }

        private void Delete(object sender, RoutedEventArgs e)
        {
            var result = MessageBox.Show("Вы точно хотите удалить клиента?", "Подтверждение", MessageBoxButton.YesNo, MessageBoxImage.Question);
            if (result == MessageBoxResult.Yes)
            {
                Client client = (Client)ClientsList.SelectedItem;
                db.Clients.Remove(client);
                db.SaveChanges();
                MessageBox.Show("Успешно удалена услуга");
                ClientsList.ItemsSource = db.Clients.ToList();
            }
        }

        private void Update(object sender, RoutedEventArgs e)
        {
            if (Name.Text == "" || TypeClient.Text == "")
            {
                MessageBox.Show("Введено неверное значение");
                return;
            }
            int num = 0;
            int.TryParse(ID.Text, out num);
            var uRow = db.Clients.Where(w => w.idClient == num).FirstOrDefault();
            uRow.NameClient = Name.Text;
            uRow.TypeClient = TypeClient.Text;
            db.SaveChanges();
            MessageBox.Show("Успешно отредактировано поле");
            ClientsList.ItemsSource = db.Clients.ToList();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            db = new gr672_liiEntities();
            ClientsList.ItemsSource = db.Clients.ToList();
        }
    }
}
